%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:           glite-lb-client
Version:        6.0.10
Release:        3%{?dist}
Summary:        gLite Logging and Bookkeeping client library

License:        ASL 2.0
URL:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lb.client/%{name}-%{version}.tar.gz
# multilib %%{name}-devel
# https://github.com/CESNET/glite-lb/commit/8ee6d05aef5e988d6f7e6add0aa97ebbc05ae94d
Patch0:         unify-headers.patch

%if 0%{?rhel} <= 6 && ! 0%{?fedora}
BuildRequires:  classads-devel
%else
BuildRequires:  condor-classads-devel
%endif
BuildRequires:  cppunit-devel
BuildRequires:  glite-lb-types
BuildRequires:  glite-jobid-api-c-devel
BuildRequires:  glite-jobid-api-cpp-devel
BuildRequires:  glite-lb-common-devel
BuildRequires:  glite-lbjp-common-gss-devel
BuildRequires:  glite-lbjp-common-trio-devel
BuildRequires:  libtool
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig

%description
glite-lb-client is the library implementing client side of gLite Logging and
Bookkeeping API.


%package        devel
Summary:        Development files for gLite L&B client library
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       glite-lb-common-devel%{?_isa}
Requires:       glite-jobid-api-c-devel%{?_isa}
Requires:       glite-jobid-api-cpp-devel

%description    devel
This package contains development libraries and header files for gLite L&B
client library.


%package        progs
Summary:        gLite L&B client programs and examples
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    progs
This package contains client programs and examples for gLite L&B.


%prep
%setup -q
%patch0 -p2


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --docdir=%{_pkgdocdir}
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
# another installed documentation can't be combined with %%doc on EPEL 5/6,
# install these files here instead
install -m 0644 ChangeLog LICENSE %{buildroot}%{_pkgdocdir}
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%dir %{_pkgdocdir}/
%{_libdir}/libglite_lb_client.so.14
%{_libdir}/libglite_lb_client.so.14.*
%{_libdir}/libglite_lb_clientpp.so.14
%{_libdir}/libglite_lb_clientpp.so.14.*
%{_pkgdocdir}/ChangeLog
%{_pkgdocdir}/LICENSE

%files devel
%dir %{_pkgdocdir}/examples/
%dir %{_datadir}/emi/
%dir %{_datadir}/emi/build/
%dir %{_datadir}/emi/build/m4/
%{_includedir}/glite/lb/*.h
%{_libdir}/libglite_lb_client.so
%{_libdir}/libglite_lb_clientpp.so
%{_libdir}/pkgconfig/*.pc
%{_pkgdocdir}/examples/*
%{_datadir}/emi/build/m4/glite_lb.m4

%files progs
%dir %{_libdir}/glite-lb/
%dir %{_libdir}/glite-lb/examples/
%{_bindir}/glite-lb-logevent
%{_bindir}/glite-lb-notify
%{_bindir}/glite-lb-register_sandbox
%{_libdir}/glite-lb/examples/*
%{_pkgdocdir}/README-notify
%{_mandir}/man1/glite-lb-notify.1*
%{_mandir}/man1/glite-lb-logevent.1*


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jun 26 2014 František Dvořák <valtri@civ.zcu.cz> - 6.0.10-2
- Patch for multilib %%{name}-devel

* Thu Jun 26 2014 František Dvořák <valtri@civ.zcu.cz> - 6.0.10-1
- New release 6.0.10 (L&B 4.1.2)
- Consistent style with buildroot macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 31 2014 František Dvořák <valtri@civ.zcu.cz> - 6.0.9-1
- New release 6.0.9 (L&B 4.1.1)

* Fri Dec 06 2013 František Dvořák <valtri@civ.zcu.cz> - 6.0.8-2
- Using * glob for manpages

* Fri Nov 22 2013 František Dvořák <valtri@civ.zcu.cz> - 6.0.8-1
- Initial package
